@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

h4,
p {
  line-height: 1.5;
}

p {
  font-size: 18px;
}

.hero-container {
  padding: 80px 100px;
  box-sizing: border-box;
  color: $color-white;
  background: url("/images/feature_page/hero-background-overlay-features-page-v2.jpg") center center no-repeat;
  background-size: cover;
}

.hero-title {
  margin: 0;
  margin-bottom: 20px;
}

.hero-message {
  font-weight: normal;
}

.intro-container {
  padding: 50px 130px 0;
}

.gitlab-for-remote-teams-page {
  .blank-header {
    background-image: url("/images/solutions/gitlab-remote-teams.jpg"); 
    background-size: cover; 
    padding: 100px 0; 
    background-position: center center; 

    @media all and (max-width: $grid-float-breakpoint) {
      padding: 60px 0;

      .header-foreground-image {
        text-align: center;

        img {
          max-width: 260px;
          margin: 0 auto;
        }
      }
    }
  }

  .blank-header .header-content {
    max-width: 600px;
    padding-top: 25px;

    h1 {
      text-align: left;
    }

    p {
      text-align: left;
    }

    @media all and (max-width: $container-large-desktop) {
      padding-top: 0;
    }

    @media all and (max-width: $grid-float-breakpoint) {
      margin: 0 auto;
      margin-bottom: 25px;

      h1,
      p {
        text-align: center;
      }
    }
  }

  .form-to-resource-content {
    background: #f9f9f9;
    padding: 20px;
    position: relative;
    top: -100px;
    border-radius: 4px;
    box-shadow: 0 2px 5px rgba(0,0,0,.2);

    .form-container {
      h3 {
        font-size: 26px;
      }
    }

    @media all and (max-width: $grid-float-breakpoint) {
      top: 0;
      margin-bottom: 40px;
    }
  }

  .sub-wrapper {
    .container .row {
      @media all and (max-width: $grid-float-breakpoint) {
        display: flex;
        flex-direction: column-reverse;
      }
    }
  }
}

.solution-image {
  width: 100%;
  box-shadow: 0 2px 4px $color-transparent-alt;
  border-radius: $border-radius-large;
}

.solution-container {
  margin-bottom: 100px;

  // added styling for link header for solutions
  .solution-no-image,
  .solution-info-container {
    // Keep existing styling in black with weight 600 for header
    h2 a {
      color: $color-black;
      font-weight: 600;
    }

    // remove underline and apply purple link color when header mouse hovers
    h2 a:hover {
      color: $link-code-color;
      text-decoration: none;
    }

    h4 {
      margin-top: 0;
    }
  }

  div:first-child {
    padding: 0 60px;

    @media all and (max-width: $screen-lg-min) {
      padding: 0;
      margin-top: 30px;
    }
  }

  @media all and (max-width: $screen-md-min) {
    margin-bottom: 50px;
  }
}

.solution-container:nth-child(odd) {

  .solution-info-container {
    order: 2;
  }

}

.learn-more {
  padding: 10px;
  padding-left: 0;
  margin-right: auto;
}

.solution-no-image {
  max-width: 360px;
  padding: 40px;
  margin: auto;
  margin-top: 0;

  @media all and (max-width: $screen-md-min) {
    max-width: 100%;
    padding: 20px 0;
    margin: 0;
  }

}

.solutions-wrapper {
  display: flex;
  flex-wrap: wrap;
  padding: 50px 120px;
  max-width: 1440px;
  margin: auto;

  .overview {
    margin-bottom: 100px;
  }

  @media all and (max-width: $screen-lg-min) {
    padding: 60px;
  }

  @media all and (max-width: $screen-sm-min) {
    padding: 20px;
  }

}

@media screen and (max-width: $screen-lg-min) {

  .solution-container {
    flex-wrap: wrap;
  }

  .solution-info-container {
    order: 1;
    padding: 40px 20px;
  }

  .solution-container:nth-child(even),
  .solution-container:nth-child(odd) {

    .solution-image {
      margin: auto;
      margin-right: auto;
      margin-left: auto;
    }

  }

  .solution-image-container {
    padding: 0;
    order: 0;
  }

  .hero-container {
    padding: 80px 40px;
  }
}
